﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Player
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        int pozice = 0;
        int delkaUkazatele = 0;
        private void Form1_Load(object sender, EventArgs e)
        {
            // Nastaví vzhled bez tlačítek WMP
            this.axWindowsMediaPlayer3.uiMode = "none";
            this.BackColor = Color.Black;
            delkaUkazatele = 125 + (int)((double)(this.Width - 440) / 3.6);
            this.Text = "Player";
            // Mastaví počáteční hlasitost
            this.axWindowsMediaPlayer3.settings.volume = 66;
           
        }

        private void otevřítToolStripMenuItem_Click(object sender, EventArgs e)
        {
            pozice = 0;
            this.delkaUkazatele = 0;
            // Zobrazí dialog pro výběr souboru:
            OpenFileDialog opf = new OpenFileDialog();
            if (opf.ShowDialog() == DialogResult.OK)
            {
                // Nastaví soubor, jež má být přehráván
                axWindowsMediaPlayer3.URL = opf.FileName;
                // Přehraje soubor
                axWindowsMediaPlayer3.Ctlcontrols.play();
                // Jako text titulkové lišty nastaví název přehrávaného snímku
                this.Text = axWindowsMediaPlayer3.currentMedia.name;
                // Započne vykreslování ukazatele v časových intervalech
                timer1.Start();
            }
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
          
        }

        private void timer1_Tick(object sender, EventArgs e)
        { 
           // Každou sekundu se prodlouží úsečka představující pozici nahrávky
           pozice++;   
          // Vypočte delku úsečky představující aktuální pozici přehráváné nahrávky
          double delka = axWindowsMediaPlayer3.currentMedia.duration;
          double pomer = 1/ (delka / pozice);
          double delkaMerky =  (int)(this.Width * 0.58);
         this.delkaUkazatele = 125 + (int)((double)(this.Width - 440) / 3.6) + (int)(delkaMerky * pomer);
         panel1.Refresh();
        // Vykreslí úsečku
          panel1_Paint(this,new PaintEventArgs(panel1.CreateGraphics(),new Rectangle(0,0, panel1.Width,panel1.Height)));
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
            try
            {
                // Metoda DrawLine třídy System.Drawing.Graphics slouží
                // k vykreslení obyčejné úsečky
                e.Graphics.DrawLine(new Pen(Color.White, 4), 125 + (int)((double)(this.Width - 440) / 3.6), 16, this.delkaUkazatele, 16);
            }
            catch { }
        }

        private void label3_Click(object sender, EventArgs e)
        {
            axWindowsMediaPlayer3.Ctlcontrols.play();         
            timer1.Start();
        }

        private void Form1_SizeChanged(object sender, EventArgs e)
        {
            this.panel1_Paint(this, new PaintEventArgs(panel1.CreateGraphics(), new Rectangle(0, 0, panel1.Width, panel1.Height))); 
        }

        private void otevřítURLToolStripMenuItem_Click(object sender, EventArgs e)
        {
            URLForm f = new URLForm(this);
            f.Show();
        }

        private void axWindowsMediaPlayer1_Enter(object sender, EventArgs e)
        {

        }

        private void panel3_MouseLeave(object sender, EventArgs e)
        {
           
            panel3.Visible = false;
        }

        private void panel2_Click(object sender, EventArgs e)
        {
            panel3.Visible = true;
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            // Nastaví hlasitost záznamu
            this.label2.Text = trackBar1.Value.ToString() + " %";
            this.axWindowsMediaPlayer3.settings.volume = trackBar1.Value;
        }

        

        private void label5_Click(object sender, EventArgs e)
        {
        }

       

        private void Form1_KeyPress(object sender, KeyPressEventArgs e)
        {
           
            if (((int)e.KeyChar) == 13) // enter
            {
                this.FormBorderStyle = FormBorderStyle.None;
                this.WindowState = FormWindowState.Maximized;
                panel1.Visible = false;
                this.menuStrip1.Visible = false;
            }
            else if (((int)e.KeyChar) == 27) // escape
            {
                this.FormBorderStyle = FormBorderStyle.Sizable;
                this.WindowState = FormWindowState.Normal;
                panel1.Visible = true;
                this.menuStrip1.Visible = true;
            }
            
        }

        private void panel3_MouseLeave_1(object sender, EventArgs e)
        {
            
        }

        private void panel3_MouseMove(object sender, MouseEventArgs e)
        {
    

        }

        private void x(object sender, MouseEventArgs e)
        {

        }

        private void panel3_Paint(object sender, PaintEventArgs e)
        {

        }

        private void panel3_Click(object sender, EventArgs e)
        {
panel3.Visible = false;
        }
    }
}
